use anyhow::Context;
use std::borrow::Cow;
use url::Url;

pub fn get_reduced_domain(url: &Url) -> anyhow::Result<Cow<'_, str>> {
    let domain = url.domain().context("URLs must have domains")?;

    Ok(Cow::Borrowed(match domain.strip_prefix("www.") {
        Some(stripped) => stripped,
        None => domain,
    }))
}
